import tkintermapview
import tkinter as tk


class Map:
    def __init__(self, parent, width, height):
        self.mapping = tkintermapview.TkinterMapView(parent, width=width, height=height, corner_radius=0)
        self.mapping.set_position(13.736717, 100.523186)
        self.mapping.set_zoom(4)
        self.mapping.set_tile_server("https://mt0.google.com/vt/lyrs=m&hl=en&x={x}&y={y}&z={z}&s=Ga", max_zoom=22)

    def set_country(self, country):
        self.mapping.set_address(f"{country}", marker=True)

    def set_zoom(self, zoom_level):
        self.mapping.set_zoom(zoom_level)

    def show(self):
        self.mapping.pack(fill=tk.BOTH, expand=True, padx=10, pady=10)


